r161 (07. 10. 2025):
Fixed a possible crash after alarm

r160 (06. 10. 2025):
Added Czech translation
Improved compatibility

r159 (21. 08. 2023):
Fixed an error in the logs

r158 (20. 08. 2023):
Possible fix for a crash after alarm

r157 (15. 08. 2023):
CS HUD: Updated detection

r156 (18. 11. 2022):
VanillaHUD Plus: Fixed issues with game timer visibility

r155 (14. 10. 2022):
Menu: Fixed a crash when menus are prefetched before load

r154 (29. 09. 2022):
Fixed crashes that can happen after assault start and alarm

r153 (17. 07. 2022):
Restoration Mod: Fixed a crash after assault

r152 (06. 07. 2022):
MUI: Fixed a crash on Midland Ranch as a client
Menu: Fixed missing textures

r151 (16. 06. 2022):
Added "Wave Panel" position option
Fixed an issue where "Break Time" is not visible in the assault panel
Restoration Mod: Fixed an issue where "Wave Survived" is not visible in Holdout or Safehouse Raid

r150 (21. 05. 2022):
Menu: Fixed issue with 4:3 aspect ratio

r149 (16. 05. 2022):
VanillaHUD Plus: Fixed an issue where disabled "Move HUDList" option still moved with HUDList

r148 (08. 04. 2022):
Fixed another mission load crash

r147 (07. 04. 2022):
Fixed a mission load crash

r146 (22. 03. 2022):
Warframe HUD: Updated code

r145 (12. 03. 2022):
CS:GO HUD: Fixed a crash when "Show Wave Survived" option is disabled

r144 (26. 02. 2022):
Void UI: AAI Panel and hiding hostage panel are disabled when Void UI Infoboxes mod addon is installed
Warframe HUD: Fixed an issue where "Point of no Return" is not visible

r143 (16. 02. 2022):
Added Japanese translation

r142 (14. 02. 2022):
Fixed a crash when a non-assault panel standalone feature mod from Restoration Mod is installed

r141 (04. 02. 2022):
Added support for Warframe HUD

r140 (28. 11. 2021):
Restoration Mod: Fixed a crash at the end of assault

r139 (06. 11. 2021):
VanillaHUD Plus: Fixed a few more overlaps and issues

r138 (26. 10. 2021):
VoidUI: Fixed issues with option "Completely Hide Hostage Panel"
VanillaHUD Plus: Fixed a few more overlaps

r137 (24. 09. 2021):
VanillaHUD Plus: Fixed HUDList overlapping at end of assault

r136 (18. 09. 2021):
Menu: Fixed an issue where menu was cut off in 16:10 aspect ratio
VanillaHUD Plus: Fixed HUDList position issues

r135 (07. 09. 2021):
Fixed HUDList detection crashes
Hotline Miami HUD: Updated code

r134 (05. 09. 2021):
Greatly improved Endless Assault detection on client when dropped in
Possible fix for a rare crash 'attempt to call method 'GetAssaultState' (a nil value)'
Sora's HUD Reborn: Fixed an issue where color of assault indicator stays the same as it was before when Point of No Return kicks in
Restoration Mod: Fixed a typo causing crash at the end of an assault

r133 (04. 09. 2021):
Added option "Disable HUDList detection"
HoloUI: Fixed an issue where "Break Time Panel" was stuck in the assault panel
HoloUI + HUDList Standalone: Fixed an issue where AAI Panel was stuck in the wave panel in Holdout/Safehouse Raid

r132 (26. 08. 2021):
Fixed a crash at loading screen when a custom heist triggers alarm

r131 (11. 08. 2021):
VanillaHUD Plus: Fixed overlapping when alarm went off
VanillaHUD Plus: Fixed AAI Panel position issue when "Wave Counter" option is on
Void UI: Fixed a crash when Assault Panel is set to "Top Centre"

r130 (18. 06. 2021):
Updated code to Update 208

r129 (27. 05. 2021):
Fixed an issue where Endless Assault banner overlapped with Point of No Return

r128 (24. 05. 2021):
Greatly improved Endless Assault detection on client

r127 (12. 05. 2021):
Improved performance during loading
Fixed an issue where damage reduction was 0% when you dropped in and captain was present

r126 (02. 05. 2021):
Added client support for Triad Takedown (Yacht Heist) custom heist
Menu: Proper menu position on Ultra-Wide monitors

r125 (04. 04. 2021):
Disabled Assault States on Proving Grounds custom map
Fixed an issue where Break Time Left panel would overlap with Point of No Return panel
VanillaHUD Plus: Fixed a position issue

r124 (11. 03. 2021):
Hotline Miami HUD: Fixed a crash when "Show Captain Panel" option is enabled

r123 (09. 03. 2021):
Fixed an issue where custom faction text was not loaded properly
Sora's HUD Reborn: Fixed an position issue with AAI Panel in Safehouse Raid and Holdout
Hotline Miami HUD: Fixed an issue where AAI Panel was not aligned properly with hostage panel

r122 (06. 03. 2021):
Changed "Spawns Left" to "Spawns" when spawns are set to "Show number of enemies on the map" in Assault Box
Fixed an issue where Assault Time was not synced when Assault State changed (client only)
Fixed an issue where "Break Time Left" did not format correctly in Assault Box (client only)
Fixed an issue where assault text was stuck when "Show Break Time Left" option was enabled (client only)
Fixed an issue where "Break Time Left" was negative value after an assault (client only)
Fixed a crash with error "attempt to index field '_bg_box' (a nil value)"
VanillaHUD Plus: Fixed an HUDList position issue where Hostage Panel was hidden in Assault and AAI Panel was set to "In The Assault Box"

r121 (04. 03. 2021):
Fixed an issue where "Control" state did not show up when an alarm went off
WolfHUD: Fixed AAI Panel position issues in Safe House Raid and Holdout

r120 (03. 03. 2021):
Fixed an issue where assault time in Holdout was off
Fixed an issue where assault time in Anticipation state in Holdout was off (client only)
Fixed an issue where Assault States in Holdout were off (client only)

r119 (26. 02. 2021):
Fixed wrong HUDList detection crashes
Fixed a crash "attempt to call method 'MoveHUDList' (a nil value)"
Void UI: Fixed an issue where Captain Panel was not visible when enabled

r118 (25. 02. 2021):
Fixed a crash with custom assault panel with HUDList
Fixed an issue where hostage panel hide itself with HUDList when it shouldn't
Menu: Fixed an issue where HUDList menu is not accessible
HUDList: Fixed wrong detection leading to crash
Vanilla HUDList: Fixed an issue where heist timer hide itself at the of the assault
Vanilla HUDList: Fixed an issue where hostage panel did not move when assault started

r117 (24. 02. 2021):
Added "Show Break Time Left" option
Added global HUDList option
Fixed an issue where captain panel did not show because "Show Time Left" and "Show Spawns Left" options were disabled
Changed detection of "Control" state. This should fix an issue on client when they spawned and "Control" state was visible in the assault panel in stealth
Vanilla: Fixed an issue where "Completely Hide Hostage Panel" could get enabled when it was disabled
MUI: Improved detection. This should also fix issues BAI not detecting MUI in some configurations
MUI: Fixed an issue where hostage panel did not hide when enabled in Endless Assault
Restoration Mod - Alpha Tape: Fixed an issue where AAI Panel did not show up
Restoration Mod - Alpha Tape: Fixed an issue where assault text was overlapping after Wave Survived
Restoration Mod - Early Alpha Corner: Fixed a crash when loading a mission
Restoration Mod - Early Alpha Corner: Fixed an issue where Captain panel did not update

r116 (24. 01. 2021):
Fixed an issue where assault icon is triangle and not padlock when endless assault launched when captain is still present
Hotline Miami HUD: Fixed an issue where Assault Panel and Point of no Return panel could overlap
VanillaHUD Plus: Fixed an issue where "Completely Hide Hostage Panel" could get enabled when it was disabled

r115 (09. 01. 2021):
Added faction text for zombies (normal assault). This also fixes error string "HUD_ASSAULT_ASSAULT_ZOMBIE"
Added support for HUDList (AAI Panel shouldn't clip with right list anymore)
Fixed an issue where "Control" state and Point of no Return would overlap (client only)
Fixed an issue where the faction name for russia was not properly localized
Restoration Mod: Fixed an issue where alpha assault and endless assault text was not localized properly
WolfHUD: Fixed an issue where assault panel was bigger when captain arrived

r114 (07. 01. 2021):
Possible fix for a rare issue when both casing and assault panel are visible when you drop-in to a game
VanillaHUD Plus: Fixed an issue where hostage panel was visible when disabled in options
VanillaHUD Plus: Fixed issues with HUDList moving

r113 (03. 01. 2021):
Fixed a stack overflow crash when using certain mods
Menu: Fixed a crash when changing "Move HUDList" in VanillaHUD/WolfHUD option
Menu: Fixed an issue where manually setting WolfHUD compatibility enabled VanillaHUD Plus option and viceversa

r112 (01. 01. 2021):
WolfHUD: Improved AAI Panel position logic
WolfHUD: Fixed an issue where Assault Panel was sometimes bigger and clipping with other HUD items

r111 (27. 12. 2020):
"Control" state will show in the next day when you dropin to a game in progress (client only)
Menu: Fixed an issue where "VanillaHUD Plus" and "WolfHUD" menus did not open
VanillaHUD Plus: Fixed an issue where HUDList did not move when captain arrived (Captain Panel enabled)
WolfHUD: Fixed issues with HUDList moving

r110 (13. 12. 2020):
MUI: Fixed a crash at the end of an assault
MUI: Fixed an issue where "No Return" text showed an error string
PD:TH HUD Reborn: Fixed an issue where the color of the assault panel was always "Control's" color when the assault panel opened with "Anticipation"
VanillaHUD Plus: HUDList Panel moving is back (it can be disabled in the settings)
WolfHUD: HUDList Panel moving is back (it can be disabled in the settings)

r109 (29. 11. 2020):
Added a warning message when you changed compatibility from "Autodetect"
Added support for CS:GO HUD

r108 (27. 11. 2020):
Fixed an issue where AAI Panel was visible after assault when it was disabled
Fixed an issue where "Endless Assault Override to Normal" was not synced to BAI clients from BAI host
Void UI: Fixed an issue where text "Overdue" was not visible and AAI Panel option was set to "In the Assault Box"

r107 (17. 11. 2020):
Fixed a crash when animations were disabled

r106 (17. 11. 2020):
Changed how animations are played. This fixes panels getting stuck in the HUD

r105 (31. 10. 2020):
Fixed an issue where AAI Panel was visible when it was disabled
HoloUI: Fixed an issue where Assault Timer was stuck in the hostage panel
VR: Fixed an issue where Assault States were not visible
VR: Fixed a crash mid-game when you changed settings
VR: Fixed a crash at mission load

r104 (27. 10. 2020):
PD:TH HUD Reborn: Fixed a crash at mission load
PD:TH HUD Reborn: Fixed an issue where first "Control" did not have the right color
PD:TH HUD Reborn: Fixed an issue where "Control" did not appear after wave end or wave survived
PD:TH HUD Reborn: Fixed an issue where assault triangle texture could get corrupted
VanillaHUD Plus: Removed moving right HUDList offset
WolfHUD: Removed moving right HUDList offset

r103 (23. 10. 2020):
Fixed crashes with error message: "attempt to perform arithmetic on field 'client_spawns_left' (a nil value)" (client only)
Hotline Miami HUD: Fixed an issue where difficulty was not properly localized
VanillaHUD Plus: Fixed a AAI Panel position issue in Holdout when hostage panel was hidden in VanillaHUD Plus
WolfHUD: Fixed a AAI Panel position issue in Holdout when hostage panel was hidden

r102 (11. 10. 2020):
Fixed a AAI Panel position issue in Holdout when hostage panel was hidden
Fixed an issue where Assault Time was not accurate in the first assault (client only)
Hopefully and finally fixed crashes with error message: "attempt to perform arithmetic on field 'difficulty_point_index' (a nil value)" (client only)
VR: Fixed a crash at mission load

r101 (09. 10. 2020):
Fixed a crash at the start of an assault (client only)

r100 (09. 10. 2020):
Fixed a crash at assault change to normal from endless (client only)
Fixed an issue where assault time in Crime Spree was longer than expected because Assault Extender modifier has not been selected yet (host only)

r99 (03. 10. 2020):
Fixed a crash when assault changed to normal if the first assault was endless (client only)
HoloUI: Properly aligned AAI Panel and Damage Reduction Panel and their icons with other panels
HoloUI: Fixed a UI issue with AAI Panel and Damage Reduction Panel
Restoration Mod: Fixed a crash at the end of an assault in Holdout mode or in Safehouse Raid

r98 (02. 10. 2020):
Added custom crash message when you select wrong compatibility
HoloUI: Fixed a crash at mission load

r97 (01. 10. 2020):
Fixed a crash in Birth of Sky (client only)
MUI: Hostage Panel showing and hiding is now animated
MUI: Fixed compatibility
MUI: Fixed an issue where text in "Damage Reduction Panel" is cut off
VanillaHUD Plus: Fixed an issue where hostage panel was visible when disabled in VHUD+
VanillaHUD Plus: Fixed a few issue with offsets in HUDList

r96 (27. 09. 2020):
Fixed a crash when you wanted to change custom text/short custom text for Captain
Fixed a crash when normal assault started (client only)

r95 (26. 09. 2020):
Simplified Assault States code for all HUDs
Improved performance when events are called
Improved performance when Assault States are not needed (host only)
Improved performance when Assault States are synced (host only)
Restoration Mod: Optimized which assault panel should animate
Restoration Mod - Early Alpha Corner: Added support for "AAI Panel Update Rate" option
Restoration Mod - Early Alpha Corner: Added support for "Show Damage Reduction Panel" option
Halo: Reach HUD: Added support for "Show Damage Reduction Panel" option

r94 (15. 09. 2020):
Added support for Crackdown Mod
Added "Assault Panel Position" option
Halo: Reach HUD: Fixed a few instances where Assault States did not update on client (no BAI host)
Halo: Reach HUD: Fixed an issue where color of No Return text was white
Halo: Reach HUD: Added support for "AAI Panel Update Rate" option

r93 (28. 08. 2020):
Fixed an issue where faction name for zombie showed an error string
MUI: Fixed a crash before preplanning lobby

r92 (28. 08. 2020):
Fixed an issue where faction name for russia showed an error string
Fixed a crash at the main menu where mods require "lib/managers/hudmanagerpd2" causing confusion in BAI
Hotline Miami HUD: Fixed an issue where Assault Panel clipped through No Return panel
MUI: Fixed a crash during mission load
PAYDAY 2 Hyper Heisting: Fixed an issue where Assault State was stuck in Build state for the whole assault duration (no BAI host)

r91 (16. 08. 2020):
Fixed a crash when client finished a heist
VanillaHUD Plus: Fixed an issue where right HUDList did not move when Captain arrived
WolfHUD: Fixed an issue where right HUDList did not move when Captain arrived
SydneyHUD: Fixed an issue where "Damage Reduction Buff Panel" could clip with HUDList when Captain is present

r90 (15. 08. 2020):
Fixed a crash when joined a game that ended
Fixed an issue where "Show Faction Name" option is not working correctly
MUI: Changed hooking
MUI: Fixed an error in No Return string
MUI: Fixed an issue where Assault States were not visible when host did not have BAI installed
MUI: Fixed crashes
MUI: Added support for "AAI Panel Update Rate" option
MUI: Added support for AAI Custom Panel
MUI: Added support for "Show Damage Reduction Panel" option
Sora's HUD Reborn: Added support for "AAI Panel Update Rate" option
Sora's HUD Reborn: Added support for AAI Custom Panel
Sora's HUD Reborn: Added support for "Show Damage Reduction Panel" option
PD:TH HUD Reborn: Added support for "AAI Panel Update Rate" option
PD:TH HUD Reborn: Added support for "Show Damage Reduction Panel" option
WolfHUD: Possible fix for a crash when HUDList functions were not hooked

r89 (09. 07. 2020):
VanillaHUD Plus: Fixed a lot overlapping issues in AAI Panel and HUDList
Menu - Assault States: Fixed an issue with error strings

r88 (27. 06. 2020):
Updated "Spawns Left" icon
Void UI: Added support for AAI Custom Panel
Restoration Mod: Fixed a crash related to Point of no Return

r87 (10. 06. 2020):
Added "AAI Custom Panel Update Rate" to "Advanced Assault Info"
Added custom text for difficulty and factions (Normal and Endless Assaults)
Menu: Added caret to Input
Menu: Corners in Input will paint itself red when you are typing
Fixed an issue where custom text for Point of No Return has not been correctly applied
HoloUI: Fixed a crash during an animation
Hotline Miami HUD: Updated code

r86 (02. 06. 2020):
Added compatibility warning to VanillaHUD Plus
Added client support for Assault States (no BAI host)
Added "Spawn Numbers" option to "Advanced Assault Info"
Improved BAI compatibility between HoloUI and VanillaHUD Plus
Menu: Fixed an issue where settings for Endless Assault Box are not loaded correctly
NobleHUD: Fixed an issue where Assault States are not networked to other players
MUI: Fixed a crash that could happen during loading
Sora's HUD Reborn: Fixed an issue where "Assault Start" event is called twice when an assault ended
SydneyHUD: Fixed overlapping issues with Right List in HUDList
Vanilla: Fixed an issue where hostage panel did not move back to it's original position

r85 (08. 05. 2020):
Added "Animate Color Change" animation option
Added "Hide Assault Text" option
Fixed an issue on Beneath the Mountain where after the airlock the assault was always endless on client (No BAI Host)
Fixed an issue where "Show Damage Reduction Buff Panel" option is not loaded correctly from the save

r84 (02. 05. 2020):
Added support for Hotline Miami HUD
Fixed an issue where assault color was color from the Build state if Assault States were disabled and "Build" state was enabled
Fixed a crash with WolfHUD and HUDList
Menu - Assault States: Fixed an issue where some settings were not loaded correctly
Restoration Mod - Alpha Tape: Fixed an issue where Wave Started and Wave Finished panels from Holdout overlapped each other when an assault ended
VR: Fixed a crash at the loading screen

r83 (26. 04. 2020):
Added client support for The Hangar (E1M1 from DOOM) custom heist
Module: Added "Update" event; triggered when BAI settings were changed during gameplay
Menu: Redesigned color sliders
Menu - Restoration Mod: Fixed a wrong color when you pressed the Color Reset button in Endless, Holdout and Survived Box
PD:TH HUD Reborn: Fixed an issue where custom text for "Point of no Return" is not applied
PD:TH HUD Reborn: Fixed crashing when game triggered PONR
MUI: Fixed an issue where Captain color was white
MUI: Fixed an issue where [Mutator] Endless Assaults mod is not supported
MUI: Fixed a few instances where colors were not correct when you had Mutators on
MUI: Fixed a crash when Captain spawned
WolfHUD: Fixed a lot overlapping issues in AAI Panel and HUDList

r82 (15. 04. 2020):
HoloUI: Added support for AAI Panel Style and Captain Buff Reduction Panel
Possible fix for a crash that could happen on Assault Start with AAI Panel Style option set to "Custom Panel"
Fixed an issue where "Spawns Left" was not rounded correctly on client
Fixed an issue where synchronized Assault States from KineticHUD host were not showed properly
Fixed a crash that could happen on Hoxton Breakout Day 1 when you were client

r81 (01. 04. 2020):
Fixed crashes that happened during assault start on client
Menu: Fixed an issue where color did not update when returned from the second page in Assault States menu
Menu: Fixed an issue where typing text to a textbox wrote that text to another textbox

r80 (31. 03. 2020):
Added Korean translation
Menu: Fixed a crash when you clicked on the Color Reset buttons
Menu: Fixed a crash when you clicked on a toggle in submenus
Menu - Restoration Mod: Fixed a wrong color when you pressed the Color Reset button in Captain

r79 (30. 03. 2020):
Added Captain Buff Reduction Panel
Fixed an issue where some text is displayed in English instead of in selected game language (eg.: French)
Void UI: Fixed a crash at the start of an assault

r78 (29. 03. 2020):
Redesigned mod options
Optimized custom text
Improved faction detection; should not require BAI update when new missions (official or custom) are released
Added support for the Federales (Spanish Police) faction
Added AAI Panel Style
"Spawns Left" is now visible on clients
Fixed an issue where "Time Left" is not formatted correctly on client
PD:TH HUD Reborn: Fixed a crash when 'Advanced Assault Info' option was enabled
PD:TH HUD Reborn: Added "fade in" and "fade out" animation to hostage panel
Restoration Mod: Added "fade in" and "fade out" animation to hostage panel

r77 (01. 02. 2020):
Added Spanish translation
Added "fade in" and "fade out" animation to hostage panel (Vanilla HUD only)
Removed 'Hide Hostage Panel During Assault' checkbox in Wave Survived menu (not intended)
Fixed a crash when you as client returned to lobby
PD:TH HUD Reborn: Added "fade in" and "fade out" animation to 'Advanced Assault Info'
PD:TH HUD Reborn: Reduced code
PD:TH HUD Reborn: Reworked 'Advanced Assault Info'
PD:TH HUD Reborn: Removed 'Apply color to Advanced Assault Info only' option
PD:TH HUD Reborn: Fixed an issue where a new color is overwriten by a color from animation (eg.: 'Fade' color on endless assault)
Restoration Mod: Added "fade in" and "fade out" animation to 'Advanced Assault Info'
Restoration Mod: Reduced code
SydneyHUD: Reduced code
Halo: Reach HUD: Updated code

r76 (05. 01. 2020):
Fixed an issue where text showed with errors for languages that did not have translation
Halo: Reach HUD: Fixed an issue where saved settings are not loaded correctly
MUI: 'Show Wave Survived' option is now enabled and working
MUI: Fixed a crash when police was called

r75 (04. 01. 2020):
Added support for Halo: Reach HUD
Added support for PAYDAY 2 Hyper Heisting Mod
Improved detection of the first "Control" state on Birth of Sky (host only)
"Time Left" is now accurate in Holdout (host only)
Module: Added "NoReturn" event. Triggered when Point of no Return banner is visible or not
Module: Fixed an issue where "AssaultStart" event is called twice and at the assault end

r74 (27. 12. 2019):
SydneyHUD: Fixed an issue where the heist timer is visible during point of no return and assault panel is centered
Module: Added "Captain" event. Triggered when Captain Winters has arrived or has been defeated

r73 (20. 11. 2019):
Removed support for normal BLT
Enemies on Border Crossing and Border Crystals now have correct faction name in the assault panel
Time Left on client is more accurate in Safe House Raid and Alaskan Deal heists
Improved detection in endless assault change to normal assault (host only)

r72 (06. 11. 2019):
Added a nice color animation, which triggers during assault state change
Removed 'Show Host Warning' option
HoloUI: Fixed an issue where additional options did nothing
SydneyHUD: Fixed an issue where hostage and wave panel moved when assault banner was centered
Restoration Mod: Fixed an crash related to Early Alpha Corner
Restoration Mod: Fixed an issue in Early Alpha Corner where its color did not update in Endless Assault
PD:TH HUD Reborn: Fixed an issue where 9 additional color boxes were visible in the mod options menu

r71 (08. 10. 2019):
Added experimental VR support
Fixed a crash when host tried to synchronize Assault Time with a client
Void UI: Fixed stack overflow crash

r70 (28. 09. 2019):
Fixed "attempt to call method 'update_hudlist_offset' (a nil value)" crash

r69 (27. 09. 2019):
Added option for host warning
Added support for [Mutator] Assault Extender
Added support for [Mutator] Endless Assaults for clients
Fixed an issue where Assault Banner is not visible on client
PD:TH HUD Reborn: Fixed an issue where "Time Left" is not accurate in Crime Spree and Holdout (host only)
Restoration Mod: Fixed compatibility
Restoration Mod: Fixed an issue where "Time Left" is not accurate in Crime Spree and Holdout (host only)

r68 (04. 09. 2019):
Added Language change option
Added Brazilian Portuguese translation
Added Traditional Chinese translation
Added autoupdates for BLT+
Added support for Pentpay Bank (Loud) custom heist
Office Strike custom heist now properly shows Endless Assault on client (if you drop-in before the endless assault)
Improved HUD detection
Disabled showing assault states on "Enemy Spawner 2" custom heist
BAI host will now synchronize Assault States with "KineticHUD" mod from Offyerrocker
KineticHUD host will now synchronize Assault States with BAI
Code optimization
Sora's HUD Reborn: Updated name
Sora's HUD Reborn: Fixed an issue where "control" state would not appear after "Wave Survived"
Sora's HUD Reborn: Hiding hostage panel is now fully functional and available
HoloUI: Fixed crashing on Safehouse Raid
MUI: Fixed a typo, which caused crashing

r67 (28. 06. 2019):
Fixed a crash when you joined a game as client
Updated languages

r66 (05. 06. 2019):
Fixed a crash on Crime Spree when you were client

r65 (05. 06. 2019):
Fixed a crash when you had "Assault States" enabled

r64 (05. 06. 2019):
"Time Left" is now more accurate on client
"Show Faction Assault Name" option will not work in Crime Spree
White Xmas now properly shows Endless Assault on client (if you drop-in before the endless assault)
BAI host will now synchronize Assault States with "Assault States" mod from Sora
Fixed an issue where Faction names wouldn't show properly sometimes
Fixed an issue where AAI wouldn't show when Captain was defeated
Fixed a crash after you changed something in the BAI mod settings
Nepgearsy HUD Reborn: Fixed issues where BAI did not behave correctly on client when host had BAI installed
Crime Spree: Improved "Assault Extender" modifier detection on client
Removed MUI submenu and enabled "Show difficulty name instead of skulls" option when MUI is installed

r63 (28. 05. 2019):
Added support for KineticHUD
Added support for Faction Names in the Assault Box
Added a warning when host doesn't have BAI installed and running
Removed "Show Padlock Image Instead of ///" option; every endless assault now has padlock image by default
Fixed an issue where "control" state wouldn't synchronize correctly

r62 (16. 02. 2019):
Restoration Mod: Added support for Advanced Assault Info in the 'Early Alpha Corner' banner
Restoration Mod: Fixed crashing with "Early Alpha Corner" banner when endless assault triggered
MUI: Fixed a crash when endless assault triggered on "The Bomb: Dockyard" heist when "Statistics" option was disabled
MUI: Fixed a crash when a client send "Assault Time Synchronization" event to host
WolfHUD: Fixed Point of No Return banner overlapping with HUDList

r61 (09. 02. 2019):
PD:TH HUD Reborn: Fixed crashes on client when "Show Time Left" option was on

r60 (08. 02. 2019):
Fixed an issue where clients did not send "Assault Time Synchronization" event to host at assault start
PD:TH HUD Reborn: Added support for Advanced Assault Info
PD:TH HUD Reborn: Fixed instances where assault text was empty
PD:TH HUD Reborn: Fixed an issue where "Show Difficulty Name" option did nothing
PD:TH HUD Reborn: Fixed instances where assault banner did not update when player changed BAI settings during mid game

r59 (19. 01. 2019):
Made assault time synchronization on-demand (Host no longer needs to have "Show Time Left" option to be on)
Removed "Show Endless Assault on client" option
Fixed wrong "Time Left" in the Holdout mode in the "Build" state
SydneyHUD: Fixed Point of No Return banner overlapping with HUDList

r58 (27. 12. 2018):
Added an option where you can write your custom text which will show in the Assault Box
MUI: Fixed crashing when "Statistics" option was disabled

r57 (09. 12. 2018):
MUI: Fixed crashing when someone joined your game when you were client
MUI: Fixed an issue where BAI would behave as host when you were client, resulting in weird behavior in the Assault Box

r56 (08. 12. 2018):
Added additional submenu for MUI
MUI: Fixed a crash when you changed a value in the mod options during a heist
Further code cleanup and code improvements

r55 (25. 11. 2018):
Added support for MUI
Code cleanup and code improvements
PD:TH HUD Reborn: Fixed crashing when captain fully assembled
PD:TH HUD Reborn: Fixed PONR Timer not changing to user's defined color
Restoration Mod: Optimized code
Restoration Mod: Fixed errors in submenus

r54 (18. 11. 2018):
Added support for Restoration Mod
Added warnings when BAI detected incompatible mods running in the game
PD:TH HUD Reborn: Fixed crashing when game triggered PONR

r53 (10. 11. 2018):
Disabled endless assault detection on Hell's Island
Added support for SydneyHUD
"Anticipation" state is no longer send by host. Clients can still see "Anticipation" state normally
PD:TH HUD Reborn: Fixed "Completely hide hostage panel" option not working correctly
PD:TH HUD Reborn: Optimized code
Void UI: Fixed PONR Banner not appearing

r52 (02. 11. 2018):
Removed ;)

r51 (25. 10. 2018):
;)

r50 (10. 10. 2018):
Added support for PD:TH HUD Reborn
Fixed Padlock icon in 'Endless Wave Survived' not showed when enabled
Fixed "Point of no Return Box" submenu wasn't visible
Void UI: Possible fix for the hostage panel not hiding when captain came on the assault start
HoloUI: Fixed wrong wave counter
HoloUI: Fixed hostage panel not hiding

r49 (14. 09. 2018):
Assault box in the Holdout mission is now skinable
Fixed spamming Assault States (this fix should improve your framerate and online experience a bit)
Time Left is now visible also on client

r48 (21. 08. 2018):
Fixed compatibility with HoloUI and Void UI

r47 (19. 08. 2018):
Fixed compatibility with Nepgearsy HUD Reborn
Fixed assault text stucked after "Build" text when you were playing Crime Spree
Shacklethorne House now properly shows Endless Assault on client (if you drop-in before the endless assault)

r46 (18. 08. 2018):
Fixed crashing at the end of an assault
Made mod compatible with Holdout gamemode

r45 (09. 08. 2018):
Improved compatibility with HoloUI
Added russian translation
Void UI: Fixed Assault box icon not animating after assault

r44 (30. 07. 2018):
Made mod compatible with Void UI and Nepgearsy HUD Reborn
Fixed an issue where the hostage panel could be visible again after an assault
Fixed an issue where Wave Survived Box in Safehouse Raid could change to "Control" state after wave and host didn't have this mod installed
Potential fix for 'Time Left' being off when playing Crime Spree with Assault Extender modifier
Fixed errors in mod options

r43 (23. 07. 2018):
You can show/hide 'Time Left' and 'Spawns Left' and change 'Time Format' in Advanced Assault Info menu
Fixed error in the assault box when you are client and has Advanced Assault Info on

r42 (13. 07. 2018):
Added support for Advanced Assault Info

r41 (09. 07. 2018):
You can completely hide hostage panel
Reworked hostage panel hiding and now you can hide hostage panel on normal assault, when Captain arrived and on endless assault

r40 (06. 07. 2018):
Fixed a crash in the Birth of Sky if you were a client

r39 (05. 07. 2018):
Added French translation
Fixed a typo in English translation

r38 (02. 07. 2018):
Added italian translation
You can disable any assault state in mod options
Reduced save file size by removing unused variables
Greatly improved Assault Box change when you changed mod options in mission
Fixed issues with "Show Assault States" option on Safehouse Raid

r37 (19. 06. 2018):
Fixed crashing on startup with Thai language enabled

r36 (19. 06. 2018):
Added German translation
Fixed loading languages supported by the game and mod
Fixed crashing when the game was set to different language than mod supported and failed fallback to English
Fixed loading Assault State colors; now they are loaded correctly
Fixed loading mutated colors in mod options
Fixed assault banner not updated after first endless assault on Beneath the Mountain with "Show Assault States" option on and host didn't have this mod installed
Fixed assault banner with padlock image in control and anticipation state after surviving endless assault
Fixed again a bug which caused sometimes text not appearing in Control and Anticipation state
Disabled showing assault states on "Enemy Spawner" custom heist

r35 (16. 06. 2018):
Fixed an issue where client could see assault states when host didn't have this mod installed
Fixed an issue where hostage box didn't show after surviving endless assault with "Show Assault States" option on and "Show Wave Survived banner" option off

r34 (14. 06. 2018):
Fixed a bug where client could not see assault states when host has this mod installed
Fixed an issue where client check for assault states after defeating Captain, when host only can do that

r33 (14. 06. 2018):
Improved detection of anticipation state
Improved detection of control state
Fixed a bug which caused sometimes text not appearing in Control and Anticipation state
Fixed assault box not updated with assault state after surviving first endless assault on Beneath the Mountain
Fixed assault box not updated with assault state after defeating Captain

r32 (13. 06. 2018):
Added support for Assault States

r31 (01. 06. 2018):
Fixed spamming in the BLT log

r30 (31. 05. 2018):
Added Chinese language
Fixed "ENDLESS WAVE SURVIVED" showed after Captain broke Endless Assault
Fixed not fully colored escape panel when you changed its color

r29 (09. 05. 2018):
Fixed "ENDLESS WAVE SURVIVED" not showing after surviving endless assault
Fixed padlock image on normal assault after endless assault
Fixed showing normal assault image when surviving endless assault
Improved behavior of changing color when you are in game

r28 (05. 05. 2018):
Improved compatibility with mods which also changes Assault Banner
Fixed difficulty name showed in Assault Banner when playing Crime Spree
Prevented crashes
Boiling Point, Beneath the Mountain, Ukrainian Job and The Bomb: Dockyard now properly shows Endless Assault on client (if you drop-in before the endless assault)

r27 (28. 04. 2018):
Removed debugging function
Fixed loading saved colors; now they are loaded correctly
Fixed loading values could overwrite values which were not in the file and causing game crash with nil value
You can also now change Escape box color

r26 (28. 04. 2018):
Redefined mod options
Prevented crashes in mod options
You can also now change color of Captain and when the game has turned on mutators
Hoxton Breakout Day 2, Birth of Sky, Golden Grin Casino and Slaughterhouse now properly shows Endless Assault on client (if you drop-in before the endless assault)

r25 (25. 04. 2018):
You can show difficulty name in the assault box instead of skulls
Hoxton Breakout Day 1, Prison Nightmare, Aftershock and Goat Simulator Heist Day 2 now properly shows Endless Assault on client (if you drop-in before the endless assault)

r24 (22. 04. 2018):
First World Bank, Green Bridge, Diamond Heist, Undercover and The Biker Heist Day 1 now properly shows Endless Assault on client (if you drop-in before the endless assault)

r23 (21. 04. 2018):
Fixed a crash when client asked if there is an endless assault in progress
Improved mod options
Reservoir Dogs Day 1 now properly shows Endless Assault on client (if you drop-in before the endless assault)

r22 (20. 04. 2018):
Fixed crashes when playing multiplayer
Brooklyn 10-10 now properly shows Endless Assault on client (if you drop-in before the endless assault)

r21 (19. 04. 2018):
Fixed next normal assault showed as endless when capitan came on endless assault

r20 (18. 04. 2018):
Fixed normal assault showed as endless on Beneath the Mountain

r19 (17. 04. 2018):
Updated identifier

r18 (17. 04. 2018):
Added preview boxes when changing color
Changed mod option box color

r17 (10. 04. 2018):
Fixed loading mod settings
Fixed instances where ENDLESS WAVE SURVIVED would be shown instead of WAVE SURVIVED
Added support for Escape: Garage, Escape: Cafe and Escape: Cafe (Day)
You can now change banner color

r16 (06. 04. 2018):
Fixed a crash when mod tried to load Thai language

r15 (05. 04. 2018):
Hiding hostage panel during an endless assault can be toggled in the mod menu
Fixed an issue where the game would overwrite your mod option after a heist

r14 (05. 04. 2018):
Fixed a typo which prevented mod menu from appearing

r13 (05. 04. 2018):
Added mod menu
Added ENDLESS WAVE SURVIVED string (Wave Survived Banner must be toggled on to work)
Wave Survived Banner can be toggled in the mod menu
Fixed something

r12 (16. 03. 2018):
Fixed hostage panel overlapping casing banner when starting a heist
Fixed endless assault on Framing Frame Day 1/Art Gallery when it's not
Added Thai language (thanks for NewPJzuza for translation)

r11 (14. 03. 2018):
These missions will show Endless Assault regardless if you are client or host:
* Safe House Nightmare
* The Biker Heist Day 2
* Cursed Kill Room
Will add more missions later
Little optimization

r10 (04. 02. 2018):
Made a fix on Beneath the Mountain when the game sometimes forget end the endless assault

r9 (31. 08. 2017):
Added mod icon

r8 (31. 08. 2017):
Fixed mod.txt

r7 (01. 08. 2017):
Fixed when second assault on WatchDogs Day 2 is endless if you were client
Hostage panel hides on endless assault

r6 (27. 07. 2017):
Code optimization
Fixed issues on Safehouse Raid

r5 (07. 07. 2017):
Code cleanup
Minor code optimization

r4 (05. 05. 2017):
Endless Assault will have now a padlock icon (same as for Defeat The Capitan)
Fixed clients having yellow assault banners when they drop-in to an endless assault

r3 (14. 03. 2017):
Optimized code
Fixed yellow assault banner when you are in the mutated lobby

r2 (12. 03. 2017):
Endless Indicator will trigger on the client IF host have it

r1 (06. 03. 2017):
First Release